# Loki::SmartPtr< T, OwnershipPolicy, ConversionPolicy, CheckingPolicy, StoragePolicy, ConstnessPolicy > Class Template Reference
[Smart pointers]

`#include <SmartPtr.h>`

List of all members.

## Detailed Description

### template<typename T, template< class > class OwnershipPolicy, class ConversionPolicy, template< class > class CheckingPolicy, template< class > class StoragePolicy, template< class > class ConstnessPolicy>
class Loki::SmartPtr< T, OwnershipPolicy, ConversionPolicy, CheckingPolicy, StoragePolicy, ConstnessPolicy >

Parameters:

  | OwnershipPolicy | default = RefCounted,
  | ConversionPolicy | default = DisallowConversion,
  | CheckingPolicy | default = AssertCheck,
  | StoragePolicy | default = DefaultSPStorage
  | ConstnessPolicy | default = LOKI_DEFAULT_CONSTNESS

IMPORTANT NOTE
  Due to threading issues, the OwnershipPolicy has been changed as follows:

- Release() returns a boolean saying if that was the last release so the pointer can be deleted by the StoragePolicy
- IsUnique() was removed

The documentation for this class was generated from the following file:

- SmartPtr.h